import { Inject, MidwayWebRouterService, Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { get } from 'lodash';
import dayjs = require('dayjs');
import { Context } from '@midwayjs/koa';
import { Opera as operaModel } from '../../entityLogs/opera.entity';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';

@Provide()
export class OperaService extends BaseServiceV2 {
  @Inject()
  ctx: Context;
  @InjectEntityModel(operaModel, 'logs')
  model: Repository<operaModel>;

  async create() {
    return;
  }
  async update() {
    return;
  }
  async delete() {
    return;
  }
}
